Loading...
Searching...
No Matches
L4::Ipc::Array_ref< ELEM_TYPE, LEN_TYPE > Struct Template Reference

Array reference data type for arrays located in the message. More...

`#include <ipc_array>`

Inheritance diagram for L4::Ipc::Array_ref< ELEM_TYPE, LEN_TYPE >:
Collaboration diagram for L4::Ipc::Array_ref< ELEM_TYPE, LEN_TYPE >:

## Detailed Description

template<typename ELEM_TYPE, typename LEN_TYPE = Array_len_default>
struct L4::Ipc::Array_ref< ELEM_TYPE, LEN_TYPE >

Array reference data type for arrays located in the message.

Note
  Use Array for normal RPC interfaces, Array_ref is usually used as server-side argument, see Array.

Template Parameters

  ELEM_TYPE | The data type of an array element, should be 'const' when used as input.
  LEN_TYPE | Data type used to store the number of elements in the array.

Definition at line 28 of file ipc_array.

The documentation for this struct was generated from the following file:

- l4/sys/cxx/ipc_array